# Gec Limitations

The following Eiffel constructs have not been implemented yet:

> Assertions
> Exceptions
> Garbage Collection
> `deep_*` features in `ANY`
> Storable
> User-defined expanded classes
> BIT types
> Unique constants
> Class `INTERNAL`
> Options and external declarations in the Ace files
> Multithreading
> Debugger
> Profiler
> Cecil (C to Eiffel interface)

Note that this list is not exhaustive.